import { ViewContainerRef } from '@angular/core';
import { ComplexBase, ArrayBase } from '@syncfusion/ej2-ng-base';
/**
 * Connectors Directive
 * ```html
 * <e-connectors>
 * <e-connector>
 * <e-connector-annotations>
 * <e-connector-annotation>
 * </e-connector-annotation>
 * </e-connector-annotations>
 * </e-connector>
 * </e-connectors>
 * ```
 */
export declare class ConnectorAnnotationDirective extends ComplexBase<ConnectorAnnotationDirective> {
    private viewContainerRef;
    /**
     * Sets the type of the annotation
     * @default 'Shape'
     */
    type: any;
    /**
     * Allows the user to save custom information/data about an annotation
     * @aspdefaultvalueignore
     * @default undefined
     */
    addInfo: any;
    /**
     * Sets the segment alignment of annotation
     * @default Center
     */
    alignment: any;
    /**
     * Defines the constraints for the label
     * @default 'InheritReadOnly'
     * @aspnumberenum
     */
    constraints: any;
    /**
     * Sets the textual description of the node/connector
     * @default ''
     */
    content: any;
    /**
     * Sets the displacement from the label position
     * @aspdefaultvalueignore
     * @default undefined
     */
    displacement: any;
    /**
     * Sets the height of the text
     * @aspdefaultvalueignore
     * @default undefined
     */
    height: any;
    /**
     * Sets the horizontal alignment of the text with respect to the parent node/connector
     * @default 'Center'
     */
    horizontalAlignment: any;
    /**
     * Sets the hyperlink for the label
     * @aspdefaultvalueignore
     * @default undefined
     */
    hyperlink: any;
    /**
     * Defines the unique id of the annotation
     * @default ''
     */
    id: any;
    /**
     * Sets the space to be left between an annotation and its parent node/connector
     * @default new Margin(0,0,0,0)
     */
    margin: any;
    /**
     * Sets the segment offset of annotation
     * @default 0.5
     */
    offset: any;
    /**
     * Defines the appearance of the text
     * @default new TextStyle()
     */
    style: any;
    /**
     * Sets the vertical alignment of the text with respect to the parent node/connector
     * @default 'Center'
     */
    verticalAlignment: any;
    /**
     * Defines the visibility for the label
     * @default true
     */
    visibility: any;
    /**
     * Sets the width of the text
     * @aspdefaultvalueignore
     * @default undefined
     */
    width: any;
    constructor(viewContainerRef: ViewContainerRef);
}
/**
 * ConnectorAnnotation Array Directive
 * @private
 */
export declare class ConnectorAnnotationsDirective extends ArrayBase<ConnectorAnnotationsDirective> {
    constructor();
}
