import { ViewContainerRef } from '@angular/core';
import { ComplexBase, ArrayBase } from '@syncfusion/ej2-ng-base';
/**
 * Connectors Directive
 * ```html
 * <e-connectors>
 * <e-connector></e-connector>
 * </e-connectors>
 * ```
 */
export declare class ConnectorDirective extends ComplexBase<ConnectorDirective> {
    private viewContainerRef;
    childAnnotations: any;
    tags: string[];
    /**
     * Defines the type of the connector
     * @default 'Straight'
     */
    type: any;
    /**
     * Allows the user to save custom information/data about a node/connector
     * @aspdefaultvalueignore
     * @default undefined
     */
    addInfo: any;
    /**
     * Defines the collection of textual annotations of connectors
     * @aspdefaultvalueignore
     * @default undefined
     */
    annotations: any;
    /**
     * Defines the bridgeSpace of connector
     * @default 10
     */
    bridgeSpace: any;
    /**
     * Defines the properties of the collapse Icon
     * @default {}
     */
    collapseIcon: any;
    /**
     * Defines the constraints of connector
     * @default 'None'
     * @aspnumberenum
     */
    constraints: any;
    /**
     * Sets the corner radius of the connector
     * @default 0
     */
    cornerRadius: any;
    /**
     * Defines whether the node should be automatically positioned or not
     * @default false
     */
    excludeFromLayout: any;
    /**
     * Defines the properties of the Expand Icon
     * @default {}
     */
    expandIcon: any;
    /**
     * Sets the connector padding value
     * @default 10
     */
    hitPadding: any;
    /**
     * Represents the unique id of nodes/connectors
     * @default ''
     */
    id: any;
    /**
     * Defines if the node is expanded or not
     * @default true
     */
    isExpanded: any;
    /**
     * Defines the space to be let between the node and its immediate parent
     * @default {}
     */
    margin: any;
    /**
     * Defines the collection of connection points of nodes/connectors
     * @aspdefaultvalueignore
     * @default undefined
     */
    ports: any;
    /**
     * Defines the segments
     * @default []
     * @asptype object
     */
    segments: any;
    /**
     * Defines the shape of the connector
     * @default 'Bpmn'
     * @asptype object
     */
    shape: any;
    /**
     * Defines the source decorator of the connector
     * @default new Decorator()
     */
    sourceDecorator: any;
    /**
     * Sets the source node/connector object of the connector
     * @default null
     */
    sourceID: any;
    /**
     * Sets the beginning point of the connector
     * @default new Point(0,0)
     */
    sourcePoint: any;
    /**
     * Sets the unique id of the source port of the connector
     * @default ''
     */
    sourcePortID: any;
    /**
     * Defines the appearance of the connection path
     * @default ''
     */
    style: any;
    /**
     * Defines the target decorator of the connector
     * @default new Decorator()
     */
    targetDecorator: any;
    /**
     * Sets the target node/connector object of the connector
     * @default null
     */
    targetID: any;
    /**
     * Sets the end point of the connector
     * @default new Point(0,0)
     */
    targetPoint: any;
    /**
     * Sets the unique id of the target port of the connector
     * @default ''
     */
    targetPortID: any;
    /**
     * defines the tooltip for the connector
     * @default new DiagramToolTip();
     */
    tooltip: any;
    /**
     * Sets the visibility of the node/connector
     * @default true
     */
    visible: any;
    /**
     * Defines the UI of the connector
     * @default null
     */
    wrapper: any;
    /**
     * Defines the visual order of the node/connector in DOM
     * @default -1
     */
    zIndex: any;
    constructor(viewContainerRef: ViewContainerRef);
}
/**
 * Connector Array Directive
 * @private
 */
export declare class ConnectorsDirective extends ArrayBase<ConnectorsDirective> {
    constructor();
}
