var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ViewContainerRef, ContentChildren, ContentChild } from '@angular/core';
import { ComplexBase, ArrayBase, setValue } from '@syncfusion/ej2-ng-base';
import { ConnectorAnnotationsDirective } from './connector-annotation.directive';
var input = ['addInfo', 'annotations', 'bridgeSpace', 'collapseIcon', 'constraints', 'cornerRadius', 'excludeFromLayout', 'expandIcon', 'hitPadding', 'id', 'isExpanded', 'margin', 'ports', 'segments', 'shape', 'sourceDecorator', 'sourceID', 'sourcePoint', 'sourcePortID', 'style', 'targetDecorator', 'targetID', 'targetPoint', 'targetPortID', 'tooltip', 'type', 'visible', 'wrapper', 'zIndex'];
/**
 * Connectors Directive
 * ```html
 * <e-connectors>
 * <e-connector></e-connector>
 * </e-connectors>
 * ```
 */
var ConnectorDirective = /** @class */ (function (_super) {
    __extends(ConnectorDirective, _super);
    function ConnectorDirective(viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.viewContainerRef = viewContainerRef;
        _this.tags = ['annotations'];
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
    }
    ConnectorDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-connectors>e-connector',
                    inputs: input,
                    queries: {
                        childAnnotations: new ContentChild(ConnectorAnnotationsDirective)
                    }
                },] },
    ];
    /** @nocollapse */
    ConnectorDirective.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    return ConnectorDirective;
}(ComplexBase));
export { ConnectorDirective };
/**
 * Connector Array Directive
 * @private
 */
var ConnectorsDirective = /** @class */ (function (_super) {
    __extends(ConnectorsDirective, _super);
    function ConnectorsDirective() {
        return _super.call(this, 'connectors') || this;
    }
    ConnectorsDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'ej-diagram>e-connectors',
                    queries: {
                        children: new ContentChildren(ConnectorDirective)
                    },
                },] },
    ];
    /** @nocollapse */
    ConnectorsDirective.ctorParameters = function () { return []; };
    return ConnectorsDirective;
}(ArrayBase));
export { ConnectorsDirective };
//# sourceMappingURL=connectors.directive.js.map