import { ElementRef, ViewContainerRef, Renderer2, ValueProvider } from '@angular/core';
import { IComponentBase } from '@syncfusion/ej2-ng-base';
import { Diagram, HierarchicalTree, MindMap, RadialTree, ComplexHierarchicalTree, DataBinding, Snapping, PrintAndExport, BpmnDiagrams, SymmetricLayout, ConnectorBridging, UndoRedo, LayoutAnimation, DiagramContextMenu, ConnectorEditing } from '@syncfusion/ej2-diagrams';
export declare const inputs: string[];
export declare const outputs: string[];
export declare const twoWays: string[];
/**
 * Diagram Component
 * ```html
 * <ej-diagram></ej-diagram>
 * ```
 */
export declare class DiagramComponent extends Diagram implements IComponentBase {
    private ngEle;
    private srenderer;
    private viewContainerRef;
    childLayers: any;
    childConnectors: any;
    childNodes: any;
    tags: string[];
    constructor(ngEle: ElementRef, srenderer: Renderer2, viewContainerRef: ViewContainerRef, hierarchicalTree: HierarchicalTree, mindMap: MindMap, radialTree: RadialTree, complexHierarchicalTree: ComplexHierarchicalTree, dataBinding: DataBinding, snapping: Snapping, printAndExport: PrintAndExport, bpmnDiagrams: BpmnDiagrams, symmetricLayout: SymmetricLayout, connectorBridging: ConnectorBridging, undoRedo: UndoRedo, layoutAnimation: LayoutAnimation, diagramContextMenu: DiagramContextMenu, connectorEditing: ConnectorEditing);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngAfterContentChecked(): void;
    registerEvents: (eventList: string[]) => void;
    addTwoWay: (propList: string[]) => void;
}
export declare const HierarchicalTreeService: ValueProvider;
export declare const MindMapService: ValueProvider;
export declare const RadialTreeService: ValueProvider;
export declare const ComplexHierarchicalTreeService: ValueProvider;
export declare const DataBindingService: ValueProvider;
export declare const SnappingService: ValueProvider;
export declare const PrintAndExportService: ValueProvider;
export declare const BpmnDiagramsService: ValueProvider;
export declare const SymmetricLayoutService: ValueProvider;
export declare const ConnectorBridgingService: ValueProvider;
export declare const UndoRedoService: ValueProvider;
export declare const LayoutAnimationService: ValueProvider;
export declare const DiagramContextMenuService: ValueProvider;
export declare const ConnectorEditingService: ValueProvider;
