var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component, ElementRef, ViewContainerRef, ChangeDetectionStrategy, Renderer2, ContentChild, Optional } from '@angular/core';
import { ComponentBase, applyMixins, setValue } from '@syncfusion/ej2-ng-base';
import { Diagram, HierarchicalTree, MindMap, RadialTree, ComplexHierarchicalTree, DataBinding, Snapping, PrintAndExport, BpmnDiagrams, SymmetricLayout, ConnectorBridging, UndoRedo, LayoutAnimation, DiagramContextMenu, ConnectorEditing } from '@syncfusion/ej2-diagrams';
import { LayersDirective } from './layers.directive';
import { ConnectorsDirective } from './connectors.directive';
import { NodesDirective } from './nodes.directive';
export var inputs = ['addInfo', 'backgroundColor', 'basicElements', 'bridgeDirection', 'commandManager', 'connectors', 'constraints', 'contextMenuSettings', 'dataSourceSettings', 'drawingObject', 'enablePersistence', 'enableRtl', 'getConnectorDefaults', 'getCustomCursor', 'getCustomProperty', 'getCustomTool', 'getDescription', 'getNodeDefaults', 'height', 'layers', 'layout', 'locale', 'mode', 'nodes', 'pageSettings', 'rulerSettings', 'scrollSettings', 'selectedItems', 'setNodeTemplate', 'snapSettings', 'tool', 'tooltip', 'width'];
export var outputs = ['animationComplete', 'click', 'collectionChange', 'connectionChange', 'contextMenuClick', 'contextMenuOpen', 'created', 'dataLoaded', 'doubleClick', 'dragEnter', 'dragLeave', 'dragOver', 'drop', 'historyChange', 'mouseEnter', 'mouseLeave', 'mouseOver', 'positionChange', 'propertyChange', 'rotateChange', 'scrollChange', 'selectionChange', 'sizeChange', 'sourcePointChange', 'targetPointChange', 'textEdit'];
export var twoWays = [''];
/**
 * Diagram Component
 * ```html
 * <ej-diagram></ej-diagram>
 * ```
 */
var DiagramComponent = /** @class */ (function (_super) {
    __extends(DiagramComponent, _super);
    function DiagramComponent(ngEle, srenderer, viewContainerRef, hierarchicalTree, mindMap, radialTree, complexHierarchicalTree, dataBinding, snapping, printAndExport, bpmnDiagrams, symmetricLayout, connectorBridging, undoRedo, layoutAnimation, diagramContextMenu, connectorEditing) {
        var _this = _super.call(this) || this;
        _this.ngEle = ngEle;
        _this.srenderer = srenderer;
        _this.viewContainerRef = viewContainerRef;
        _this.tags = ['layers', 'connectors', 'nodes'];
        _this.element = _this.ngEle.nativeElement;
        _this.injectedModules = _this.injectedModules || [];
        for (var i = 3; i < arguments.length; i++) {
            var injectedObj = arguments[i];
            if (injectedObj) {
                _this.injectedModules.push(injectedObj);
            }
        }
        _this.registerEvents(outputs);
        _this.addTwoWay.call(_this, twoWays);
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
    }
    DiagramComponent.prototype.ngOnInit = function () {
    };
    DiagramComponent.prototype.ngAfterViewInit = function () {
    };
    DiagramComponent.prototype.ngOnDestroy = function () {
    };
    DiagramComponent.prototype.ngAfterContentChecked = function () {
    };
    DiagramComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ejs-diagram',
                    inputs: inputs,
                    outputs: outputs,
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    queries: {
                        childLayers: new ContentChild(LayersDirective),
                        childConnectors: new ContentChild(ConnectorsDirective),
                        childNodes: new ContentChild(NodesDirective)
                    }
                },] },
    ];
    /** @nocollapse */
    DiagramComponent.ctorParameters = function () { return [
        { type: ElementRef, },
        { type: Renderer2, },
        { type: ViewContainerRef, },
        { type: HierarchicalTree, decorators: [{ type: Optional },] },
        { type: MindMap, decorators: [{ type: Optional },] },
        { type: RadialTree, decorators: [{ type: Optional },] },
        { type: ComplexHierarchicalTree, decorators: [{ type: Optional },] },
        { type: DataBinding, decorators: [{ type: Optional },] },
        { type: Snapping, decorators: [{ type: Optional },] },
        { type: PrintAndExport, decorators: [{ type: Optional },] },
        { type: BpmnDiagrams, decorators: [{ type: Optional },] },
        { type: SymmetricLayout, decorators: [{ type: Optional },] },
        { type: ConnectorBridging, decorators: [{ type: Optional },] },
        { type: UndoRedo, decorators: [{ type: Optional },] },
        { type: LayoutAnimation, decorators: [{ type: Optional },] },
        { type: DiagramContextMenu, decorators: [{ type: Optional },] },
        { type: ConnectorEditing, decorators: [{ type: Optional },] },
    ]; };
    return DiagramComponent;
}(Diagram));
export { DiagramComponent };
applyMixins(DiagramComponent, [ComponentBase]);
export var HierarchicalTreeService = { provide: HierarchicalTree, useValue: HierarchicalTree };
export var MindMapService = { provide: MindMap, useValue: MindMap };
export var RadialTreeService = { provide: RadialTree, useValue: RadialTree };
export var ComplexHierarchicalTreeService = { provide: ComplexHierarchicalTree, useValue: ComplexHierarchicalTree };
export var DataBindingService = { provide: DataBinding, useValue: DataBinding };
export var SnappingService = { provide: Snapping, useValue: Snapping };
export var PrintAndExportService = { provide: PrintAndExport, useValue: PrintAndExport };
export var BpmnDiagramsService = { provide: BpmnDiagrams, useValue: BpmnDiagrams };
export var SymmetricLayoutService = { provide: SymmetricLayout, useValue: SymmetricLayout };
export var ConnectorBridgingService = { provide: ConnectorBridging, useValue: ConnectorBridging };
export var UndoRedoService = { provide: UndoRedo, useValue: UndoRedo };
export var LayoutAnimationService = { provide: LayoutAnimation, useValue: LayoutAnimation };
export var DiagramContextMenuService = { provide: DiagramContextMenu, useValue: DiagramContextMenu };
export var ConnectorEditingService = { provide: ConnectorEditing, useValue: ConnectorEditing };
//# sourceMappingURL=diagram.component.js.map