import { ViewContainerRef } from '@angular/core';
import { ComplexBase, ArrayBase } from '@syncfusion/ej2-ng-base';
/**
 * Layers Directive
 * ```html
 * <e-layers>
 * <e-layer></e-layer>
 * </e-layers>
 * ```
 */
export declare class LayerDirective extends ComplexBase<LayerDirective> {
    private viewContainerRef;
    /**
     * Defines the description of the layer
     * @aspdefaultvalueignore
     * @default undefined
     */
    addInfo: any;
    /**
     * Defines the id of the layer
     * @default ''
     */
    id: any;
    /**
     * Defines lock property of the layer
     * @default false
     */
    lock: any;
    /**
     * Defines the object in the layer
     * @aspdefaultvalueignore
     * @default undefined
     */
    objects: any;
    /**
     * Defines visibility of the layer
     * @default true
     */
    visible: any;
    /**
     * Defines the zOrder of the layer
     * @default -1
     */
    zIndex: any;
    constructor(viewContainerRef: ViewContainerRef);
}
/**
 * Layer Array Directive
 * @private
 */
export declare class LayersDirective extends ArrayBase<LayersDirective> {
    constructor();
}
