import { ViewContainerRef } from '@angular/core';
import { ComplexBase, ArrayBase } from '@syncfusion/ej2-ng-base';
/**
 * Nodes Directive
 * ```html
 * <e-nodes>
 * <e-node>
 * <e-node-annotations>
 * <e-node-annotation>
 * </e-node-annotation>
 * </e-node-annotations>
 * </e-node>
 * </e-nodes>
 * ```
 */
export declare class NodeAnnotationDirective extends ComplexBase<NodeAnnotationDirective> {
    private viewContainerRef;
    /**
     * Sets the type of the annotation
     * @default 'Shape'
     */
    type: any;
    /**
     * Allows the user to save custom information/data about an annotation
     * @aspdefaultvalueignore
     * @default undefined
     */
    addInfo: any;
    /**
     * Defines the constraints for the label
     * @default 'InheritReadOnly'
     * @aspnumberenum
     */
    constraints: any;
    /**
     * Sets the textual description of the node/connector
     * @default ''
     */
    content: any;
    /**
     * Sets the height of the text
     * @aspdefaultvalueignore
     * @default undefined
     */
    height: any;
    /**
     * Sets the horizontal alignment of the text with respect to the parent node/connector
     * @default 'Center'
     */
    horizontalAlignment: any;
    /**
     * Sets the hyperlink for the label
     * @aspdefaultvalueignore
     * @default undefined
     */
    hyperlink: any;
    /**
     * Defines the unique id of the annotation
     * @default ''
     */
    id: any;
    /**
     * Sets the space to be left between an annotation and its parent node/connector
     * @default new Margin(0,0,0,0)
     */
    margin: any;
    /**
     * Sets the position of the annotation with respect to its parent bounds
     * @default { x: 0.5, y: 0.5 }
     */
    offset: any;
    /**
     * Defines the appearance of the text
     * @default new TextStyle()
     */
    style: any;
    /**
     * Sets the vertical alignment of the text with respect to the parent node/connector
     * @default 'Center'
     */
    verticalAlignment: any;
    /**
     * Defines the visibility for the label
     * @default true
     */
    visibility: any;
    /**
     * Sets the width of the text
     * @aspdefaultvalueignore
     * @default undefined
     */
    width: any;
    constructor(viewContainerRef: ViewContainerRef);
}
/**
 * NodeAnnotation Array Directive
 * @private
 */
export declare class NodeAnnotationsDirective extends ArrayBase<NodeAnnotationsDirective> {
    constructor();
}
