import { ViewContainerRef } from '@angular/core';
import { ComplexBase, ArrayBase } from '@syncfusion/ej2-ng-base';
/**
 * Nodes Directive
 * ```html
 * <e-nodes>
 * <e-node></e-node>
 * </e-nodes>
 * ```
 */
export declare class NodeDirective extends ComplexBase<NodeDirective> {
    private viewContainerRef;
    childAnnotations: any;
    childPorts: any;
    tags: string[];
    /**
     * Allows the user to save custom information/data about a node/connector
     * @aspdefaultvalueignore
     * @default undefined
     */
    addInfo: any;
    /**
     * Defines the collection of textual annotations of nodes/connectors
     * @aspdefaultvalueignore
     * @default undefined
     */
    annotations: any;
    /**
     * Sets the background color of the shape
     * @default 'transparent'
     */
    backgroundColor: any;
    /**
     * Sets the border color of the node
     * @default 'none'
     */
    borderColor: any;
    /**
     * Sets the border width of the node
     * @default 0
     */
    borderWidth: any;
    /**
     * Defines the children of group element
     * @aspdefaultvalueignore
     * @default undefined
     */
    children: any;
    /**
     * Defines the properties of the collapse Icon
     * @default {}
     */
    collapseIcon: any;
    /**
     * Enables/Disables certain features of nodes
     * @default 'Default'
     * @aspnumberenum
     */
    constraints: any;
    /**
     * Sets the data source of the node
     */
    data: any;
    /**
     * Defines whether the node should be automatically positioned or not
     * @default false
     */
    excludeFromLayout: any;
    /**
     * Defines the properties of the Expand Icon
     * @default {}
     */
    expandIcon: any;
    /**
     * Sets the height of the node
     * @aspdefaultvalueignore
     * @default undefined
     */
    height: any;
    /**
     * Represents the unique id of nodes/connectors
     * @default ''
     */
    id: any;
    /**
     * Defines if the node is expanded or not
     * @default true
     */
    isExpanded: any;
    /**
     * Defines the space to be let between the node and its immediate parent
     * @default {}
     */
    margin: any;
    /**
     * Sets the maximum height of the node
     * @aspdefaultvalueignore
     * @default undefined
     */
    maxHeight: any;
    /**
     * Sets the maximum width of the node
     * @aspdefaultvalueignore
     * @default undefined
     */
    maxWidth: any;
    /**
     * Sets the minimum height of the node
     * @aspdefaultvalueignore
     * @default undefined
     */
    minHeight: any;
    /**
     * Sets the minimum width of the node
     * @aspdefaultvalueignore
     * @default undefined
     */
    minWidth: any;
    /**
     * Sets the x-coordinate of the position of the node
     * @default 0
     */
    offsetX: any;
    /**
     * Sets the y-coordinate of the position of the node
     * @default 0
     */
    offsetY: any;
    /**
     * Sets the reference point, that will act as the offset values(offsetX, offsetY) of a node
     * @default new Point(0.5,0.5)
     */
    pivot: any;
    /**
     * Defines the collection of connection points of nodes/connectors
     * @aspdefaultvalueignore
     * @default undefined
     */
    ports: any;
    /**
     * Sets the rotate angle of the node
     * @default 0
     */
    rotateAngle: any;
    /**
     * Defines the shadow of a shape/path
     * @default null
     */
    shadow: any;
    /**
     * Defines the shape of a node
     * @default Basic Shape
     * @asptype object
     */
    shape: any;
    /**
     * Sets the shape style of the node
     * @default new ShapeStyle()
     * @asptype object
     */
    style: any;
    /**
     * defines the tooltip for the node
     * @default {}
     */
    tooltip: any;
    /**
     * Sets the visibility of the node/connector
     * @default true
     */
    visible: any;
    /**
     * Sets the width of the node
     * @aspdefaultvalueignore
     * @default undefined
     */
    width: any;
    /**
     * Sets or gets the UI of a node
     * @default null
     */
    wrapper: any;
    /**
     * Defines the visual order of the node/connector in DOM
     * @default -1
     */
    zIndex: any;
    constructor(viewContainerRef: ViewContainerRef);
}
/**
 * Node Array Directive
 * @private
 */
export declare class NodesDirective extends ArrayBase<NodesDirective> {
    constructor();
}
