var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ViewContainerRef, ContentChildren, ContentChild } from '@angular/core';
import { ComplexBase, ArrayBase, setValue } from '@syncfusion/ej2-ng-base';
import { NodeAnnotationsDirective } from './node-annotation.directive';
import { PortsDirective } from './ports.directive';
var input = ['addInfo', 'annotations', 'backgroundColor', 'borderColor', 'borderWidth', 'children', 'collapseIcon', 'constraints', 'data', 'excludeFromLayout', 'expandIcon', 'height', 'id', 'isExpanded', 'margin', 'maxHeight', 'maxWidth', 'minHeight', 'minWidth', 'offsetX', 'offsetY', 'pivot', 'ports', 'rotateAngle', 'shadow', 'shape', 'style', 'tooltip', 'visible', 'width', 'wrapper', 'zIndex'];
/**
 * Nodes Directive
 * ```html
 * <e-nodes>
 * <e-node></e-node>
 * </e-nodes>
 * ```
 */
var NodeDirective = /** @class */ (function (_super) {
    __extends(NodeDirective, _super);
    function NodeDirective(viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.viewContainerRef = viewContainerRef;
        _this.tags = ['annotations', 'ports'];
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
    }
    NodeDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-nodes>e-node',
                    inputs: input,
                    queries: {
                        childAnnotations: new ContentChild(NodeAnnotationsDirective),
                        childPorts: new ContentChild(PortsDirective)
                    }
                },] },
    ];
    /** @nocollapse */
    NodeDirective.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    return NodeDirective;
}(ComplexBase));
export { NodeDirective };
/**
 * Node Array Directive
 * @private
 */
var NodesDirective = /** @class */ (function (_super) {
    __extends(NodesDirective, _super);
    function NodesDirective() {
        return _super.call(this, 'nodes') || this;
    }
    NodesDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'ej-diagram>e-nodes',
                    queries: {
                        children: new ContentChildren(NodeDirective)
                    },
                },] },
    ];
    /** @nocollapse */
    NodesDirective.ctorParameters = function () { return []; };
    return NodesDirective;
}(ArrayBase));
export { NodesDirective };
//# sourceMappingURL=nodes.directive.js.map