import { ViewContainerRef } from '@angular/core';
import { ComplexBase, ArrayBase } from '@syncfusion/ej2-ng-base';
/**
 * Nodes Directive
 * ```html
 * <e-nodes>
 * <e-node>
 * <e-node-ports>
 * <e-node-port>
 * </e-node-port>
 * </e-node-ports>
 * </e-node>
 * </e-nodes>
 * ```
 */
export declare class PortDirective extends ComplexBase<PortDirective> {
    private viewContainerRef;
    /**
     * Allows the user to save custom information/data about a port
     * @aspdefaultvalueignore
     * @default undefined
     */
    addInfo: any;
    /**
     * Defines the constraints of port
     * @default 'None'
     * @aspnumberenum
     */
    constraints: any;
    /**
     * Sets the height of the port
     * @default 12
     */
    height: any;
    /**
     * Sets the horizontal alignment of the port with respect to its immediate parent(node/connector)
     * @default 'Center'
     */
    horizontalAlignment: any;
    /**
     * Defines the unique id of the port
     * @default ''
     */
    id: any;
    /**
     * Defines the space that the port has to be moved from its actual position
     * @default new Margin(0,0,0,0)
     */
    margin: any;
    /**
     * Defines the position of the port with respect to the boundaries of nodes/connector
     * @default new Point(0.5,0.5)
     */
    offset: any;
    /**
     * Defines the geometry of the port
     * @default ''
     */
    pathData: any;
    /**
     * Defines the type of the port shape
     * @default 'Square'
     */
    shape: any;
    /**
     * Defines the appearance of the port
     * @default {}
     */
    style: any;
    /**
     * Sets the vertical alignment of the port with respect to its immediate parent(node/connector)
     * @default 'Center'
     */
    verticalAlignment: any;
    /**
     * Defines the type of the port visibility
     * @default 'Connect'
     * @aspnumberenum
     */
    visibility: any;
    /**
     * Sets the width of the port
     * @default 12
     */
    width: any;
    constructor(viewContainerRef: ViewContainerRef);
}
/**
 * Port Array Directive
 * @private
 */
export declare class PortsDirective extends ArrayBase<PortsDirective> {
    constructor();
}
